## vdsm 4.17.0

=== Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = PYTHONPATH=../vdsm:../:$$PYTHONPATH sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html htmlstrict dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  htmlstrict to make standalone HTML files, turns warnings into errors"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

htmlstrict:
	$(SPHINXBUILD) -b html -W $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Storage.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Storage.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
vdsm (4.17.0-1) unstable; urgency=low

  * vdsm 4.17.0 release on Debian Jessie

 -- Simone Tiraboschi <stirabos@redhat.com>  Mon, 09 Feb 2015 12:00:00 +0200

vdsm (4.13.0-1) unstable; urgency=low

  * vdsm 4.13.0 release on Ubuntu 13.04.

 -- Zheng Sheng, Zhou <zhshzhou@linux.vnet.ibm.com>  Mon, 14 Oct 2013 17:32:50 +0800

vdsm (4.12.0-1) unstable; urgency=low

  * Initial release on Ubuntu 13.04 .

 -- Zheng Sheng, Zhou <zhshzhou@linux.vnet.ibm.com>  Mon, 19 Aug 2013 11:29:59 +0800

=== debian/control ===
Source: vdsm
Section: admin
Priority: extra
Maintainer: Simone Tiraboschi <stirabos@redhat.com>
Build-Depends: debhelper (>= 8.0.0),
 autoconf,
 automake,
 dosfstools,
 gcc,
 genisoimage,
 gettext,
 libasprintf-dev,
 libgettextpo-dev,
 libtool,
 openssl,
 mom (>= 0.4.2),
 pep8,
 psmisc (>= 22.6),
 pyflakes,
 python (>=2.7.3),
 python-dev,
 python-cpopen (>= 1.3),
 python-dmidecode,
 python-libvirt (>= 1.2.9),
 python-netaddr,
 python-nose,
 python-pyinotify,
 python-pthreading (>=0.1.2),
 python-rpm,
 python-selinux,
 sudo (>= 1.7.3),
 python-simplejson (>= 2.0.9),
 python-ioprocess (>= 0.14)
Standards-Version: 3.9.4
Homepage: http://www.ovirt.org/wiki/Vdsm
Vcs-Git: git://gerrit.ovirt.org/vdsm
Vcs-Browser: http://gerrit.ovirt.org/gitweb?p=vdsm.git

Package: vdsm-yajsonrpc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), python-simplejson (>= 2.0.9)
Description: JSON RPC server and client implementation
 A JSON RPC server and client implementation.

Package: vdsm-python
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python (>=2.7.3)
Description: VDSM python libraries
 Shared libraries between the various VDSM packages.

Package: vdsm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 debianutils,
 bridge-utils,
 dmidecode,
 dosfstools,
 e2fsprogs (>= 1.41.14),
 ed,
 fence-agents,
 genisoimage,
 glusterfs-client,
 glusterfs-common (>= 3.4.1),
 gnutls-bin,
 hostname,
 ifupdown,
 initscripts (>= 2.88),
 iproute,
 libguestfs-tools,
 libnl-utils,
 libsanlock-client1 (>= 2.8),
 libsanlock-dev (>= 2.8),
 libvirt-bin (>= 1.2.9),
 libvirt0 (>= 1.2.9),
 linux-image,
 logrotate,
 lvm2 (>= 2.02.95),
 multipath-tools (>= 0.4.9),
 mom (>= 0.4.2),
 nfs-client,
 nfs-server,
 ntp,
 numactl,
 open-iscsi (>= 2.0.873),
 policycoreutils (>= 2.1.10),
 psmisc (>= 22.6),
 python (>= 2.7.3),
 python-cpopen (>= 1.3),
 python-ioprocess (>= 0.14),
 python-dmidecode,
 python-libvirt (>= 1.2.9),
 python-m2crypto,
 python-netaddr,
 python-parted,
 python-pthreading (>= 0.1.2),
 python-pyinotify,
 python-rpm,
 python-selinux,
 python-sepolgen,
 qemu-kvm (>= 2.0.0),
 qemu-utils (>= 2.0.0),
 sanlock (>= 2.4),
 sanlock-python (>= 2.4),
 sasl2-bin,
 sed (>= 4.2.1),
 sosreport,
 sudo (>= 1.7.3),
 tree,
 vdsm-python (= ${source:Version}),
 xz-utils,
 vdsm-yajsonrpc (= ${source:Version})
Conflicts: apparmor, vdsm-hook-sriov
Description: VDSM: Virtual Desktop Server Manager
 The VDSM service is required by a Virtualization Manager to manage the
 Linux hosts. VDSM manages and monitors the host's storage, memory and
 networks as well as virtual machine creation, other host administration
 tasks, statistics gathering, and log collection.

Package: vdsm-gluster
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 glusterfs-common (>= 3.4.1),
 glusterfs-server,
 python (>=2.7.3),
 python-magic,
 vdsm (>= ${source:Version})
Description: Gluster Plugin for VDSM
 Gluster plugin enables VDSM to serve Gluster functionalities.

Package: vdsm-tests
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version}), python-nose
Description: Unit and functional tests for vdsm
 A test suite for verifying the functionality of a running vdsm instance

Package: vdsm-hook-checkimages
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: Qcow2 disk image format check hook for VDSM
 VDSM hook used to perform consistency check on a qcow2 format disk image
 using the QEMU disk image utility.

Package: vdsm-hook-ethtool-options
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: VDSM hook used for applying custom network properties that define
 ethtool options for vdsm network nics

Package: vdsm-hook-vhostmd
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: VDSM hook set for interaction with vhostmd
 VDSM hook to use vhostmd per VM according to Virtualization Manager requests.

Package: vdsm-hook-faqemu
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: Fake qemu process for VDSM quality assurance
 VDSM hook used for testing VDSM with multiple fake virtual machines without
 running real guests.
 To enable this hook on your host, set vars.fake_kvm_support=True in your
 /etc/vdsm/vdsm.conf before adding the host to ovirt-Engine.

Package: vdsm-hook-directlun
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: Direct LUN support for VDSM
 VDSM hook enable user to add storage LUN for VDSM
 without the sharing and storage handling of VDSM.

Package: vdsm-hook-macspoof
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: Disables MAC spoofing filtering
 VDSM hooks which allow to disable mac spoof filtering
 either on all the of the VM's interfaces or on
 specific vnics.

Package: vdsm-hook-extnet
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: Force a vNIC to connect to a specific libvirt network
 VDSM hook which allows to connect a vNIC to a libvirt network that is managed
 outside of oVirt, such as an openvswitch network.

Package: vdsm-hook-fakevmstats
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: Generate random statistics for vms running on the host. The hook
 intercepts statistics returned on getAllVmStats.

Package: vdsm-hook-fileinject
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version}), python-libguestfs
Description: Allow uploading file to VMs disk
 Hook is getting target file name and its content and
 create that file in target machine.

Package: vdsm-hook-floppy
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: Allow adding floppy to VM
 Allow adding floppy to VM

Package: vdsm-hook-hostusb
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version}), usbutils
Description: Allow attaching USB device from host
 Hook is getting vendor and product id of USB device
 disconnect it from host and attach it to VM

Package: vdsm-hook-hugepages
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: Huge pages enable user to handle VM with 2048KB page files.
 Hook is getting number of huge pages reserve them for the VM,
 and enable user to handle VM with 2048KB page files.

Package: vdsm-hook-ipv6
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: Set IPv6 configuration through custom network properties
 VDSM hook used for applying IPv6 configuration through custom network
 properties

Package: vdsm-hook-isolatedprivatevlan
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: Isolated network environment for VMs
 limit VM traffic to a specific gateway by its mac address,
 hook prevent VM from spoofing its mac or  ip address
 by using <filterref filter='clean-traffic'/> libvirt filter
 and by adding custom filter: isolatedprivatevlan-vdsm.xml

Package: vdsm-hook-nestedvt
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: Nested Virtualization support for VDSM
 If the nested virtualization is enabled in your kvm module
 this hook will expose it to the guests.

Package: vdsm-hook-numa
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: NUMA support for VDSM
 Hooks is getting number/rage of NUMA nodes and NUMA mode,
 and update the VM xml.

Package: vdsm-hook-openstacknet
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: OpenStack Network vNICs support for VDSM
 Hook for OpenStack Network vNICs.

Package: vdsm-hook-pincpu
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: Hook pin VM so specific CPUs
 pincpu is hook for VDSM.
 pincpu enable to pin virtual machine to a specific CPUs.

Package: vdsm-hook-promisc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: Network interface promiscuous mode support for VDSM
 VDSM promiscuous mode let user define a VM interface that will capture
 all network traffic.

Package: vdsm-hook-qemucmdline
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: QEMU cmdline hook for VDSM
 Provides support for injecting QEMU cmdline via VDSM hook.
 It exploits libvirt's qemu:commandline facility available in the
 qemu xml namespace.

Package: vdsm-hook-qos
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: QoS network in/out traffic support for VDSM
 Hook adds QoS in/out traffic to VMs interfaces

Package: vdsm-hook-scratchpad
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: One time disk creation for VDSM
 scratchpad hook for VDSM
 Hook creates a disk for a VM onetime usage,
 the disk will be erased when the VM destroyed.
 VM cannot be migrated when using scratchpad hook

Package: vdsm-hook-smbios
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: Adding custom smbios entries to libvirt domain via VDSM
 Adding custom smbios entries to libvirt domain via VDSM
 such as: vendor, version, date and release

Package: vdsm-hook-vmfex
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Conflicts: vdsm-hook-vmfex-dev
Description: vmfex support for VDSM
 Hook for vmfex.

Package: vdsm-hook-vmfex-dev
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Conflicts: vdsm-hook-vmfex
Description: VM-FEX vNIC support for VDSM
 Allows to use custom device properties to pass through a VF using
 VM-FEX SR-IOV with macvtap topology.

Package: vdsm-hook-vmdisk
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: External disk support for VDSM
 Hook adds additional disk image for a VM (raw or qcow2)

Package: vdsm-cli
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm-python (>= ${source:Version}), vdsm-xmlrpc (>= ${source:Version})
Description: VDSM command line interface
 Call VDSM commands from the command line. Used for testing and debugging.

Package: vdsm-debug-plugin
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version}), vdsm-xmlrpc (>= ${source:Version})
Description: VDSM Debug Plugin
 Used by the trained monkeys at Red Hat to insert chaos and mayhem in to VDSM.

Package: vdsm-hook-allocate-net
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: random_network allocation hook for VDSM
 VDSM hook used to allocate networks for vms in a random fashion

Package: vdsm-hook-macbind
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
Description: Bind a vNIC to a Bridge

## vdsm 4.17.11

=== debian/changelog ===
vdsm (4.17.11-1) unstable; urgency=low

  * vdsm-gluster not available since glusterfs >= 3.7.1 is required while
    3.5.2 is latest version in Debian Jessie.

 -- Sandro Bonazzola <sbonazzo@redhat.com>  Thu, 26 Nov 2015 12:45:55 +0100

vdsm (4.17.4-1) unstable; urgency=low

  * vdsm 4.17.4 release on Debian Jessie

 -- Simone Tiraboschi <stirabos@redhat.com>  Fri, 04 Sep 2015 12:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
  python-pthreading (>=0.1.2),
  python-rpm,
  python-selinux,
+ python-six,
  sudo (>= 1.7.3),
  python-simplejson (>= 2.0.9),
  python-ioprocess (>= 0.14)
@@ -72,7 +73,6 @@
  libsanlock-dev (>= 2.8),
  libvirt-bin (>= 1.2.9),
  libvirt0 (>= 1.2.9),
- linux-image,
  logrotate,
  lvm2 (>= 2.02.95),
  multipath-tools (>= 0.4.9),
@@ -116,17 +116,6 @@
  networks as well as virtual machine creation, other host administration
  tasks, statistics gathering, and log collection.
 
-Package: vdsm-gluster
-Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- glusterfs-common (>= 3.4.1),
- glusterfs-server,
- python (>=2.7.3),
- python-magic,
- vdsm (>= ${source:Version})
-Description: Gluster Plugin for VDSM
- Gluster plugin enables VDSM to serve Gluster functionalities.
-
 Package: vdsm-tests
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version}), python-nose
@@ -188,6 +177,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
 Description: Generate random statistics for vms running on the host. The hook
  intercepts statistics returned on getAllVmStats.
+ To enable this hook on your host, set vars.fake_vmstats_enable=true in your
+ /etc/vdsm/vdsm.conf.
 
 Package: vdsm-hook-fileinject
 Architecture: all
@@ -339,3 +330,9 @@
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
 Description: Bind a vNIC to a Bridge
+ VDSM hooks which allow to bind a vNIC to a Bridge, managed or not by engine.
+
+Package: vdsm-hook-spiceoptions
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, python (>=2.7.3), vdsm (>= ${source:Version})
+Description: To configure spice options for vm

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

override_dh_auto_configure:
	autoreconf -ivf
	dh_auto_configure -- \
		--disable-libvirt-sanlock \
		--disable-libvirt-selinux \
		--enable-hooks \
		--libdir=/usr/lib \
		--libexecdir=/usr/libexec \
		--localstatedir=/var \
		--prefix=/usr \
		--sysconfdir=/etc \
		--with-libvirt-service-default='/etc/default/libvirt-bin' \
		--with-qemu-group=kvm \
		--with-qemu-user=libvirt-qemu \
		BRCTL_PATH=/sbin/brctl \
		FUSER_PATH=/bin/fuser \
		HWCLOCK_PATH=/sbin/hwclock \
		ISCSIADM_PATH=/usr/bin/iscsiadm \
		MKISOFS_PATH=/usr/bin/genisoimage \
		NICE_PATH=/usr/bin/nice \
		NTPQ_PATH=/usr/bin/ntpq \
		REBOOT_PATH=/sbin/reboot \
		SERVICE_PATH=/usr/sbin/service \
		PYFLAKES=true \
		PEP8=true \
		NOSE_EXCLUDE=.*

destdir = debian/tmp

override_dh_auto_install:
	dh_auto_install
	# Install the lvm rules
	install -Dm 0644 vdsm/storage/vdsm-lvm.rules \
		$(destdir)/lib/udev/rules.d/61-vdsm-lvm.rules
	install -Dm 0644 vdsm/limits.conf \
		$(destdir)/etc/security/limits.d/99-vdsm.conf
	install -Dm 0644 init/systemd/vdsm-tmpfiles.d.conf $(destdir)/etc/vdsm/vdsm-tmpfiles.conf
	# This is not commonplace, but we want /var/log/core to be a world-writable
	# dropbox for core dumps
	install -dDm 1777 $(destdir)/var/log/core
	# Install the polkit for libvirt
	install -Dm 0644 vdsm/vdsm-libvirt-access.pkla \
		$(destdir)/var/lib/polkit-1/localauthority/10-vendor.d/10-vdsm-libvirt-access.pkla
	# Install the configuration sample
	install -Dm 0644 lib/vdsm/vdsm.conf.sample \
		$(destdir)/etc/vdsm/vdsm.conf

%:
	dh $@ --with python2

override_dh_auto_test:
